* {   /* Elimina márgenes y rellenos por defecto en todos los elementos, y mejora el control del tamaño usando border-box*/
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}  



/* - - - Olga - - - */
.orr-page{
  background-color: rgb(65, 84, 144);
  font-family: 'Inter', sans-serif;
  font-weight: 300;
  color: rgba(249, 249, 237, 1);
  margin: 0;
  padding: 0;

}

/* MAIN */

.orr-intro {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    max-width: 850px;
    margin: 0 auto;
    padding: 1rem;
    padding-top: 4rem;
}


.orr-main {
  display:grid;
  gap: 2rem;
  grid-template-columns: 1fr;
  padding: 2rem;
  max-width: 1000px;
  margin: 0 auto;
}

@media screen and (min-width: 768px){
  .orr-main {
    grid-template-columns: 1fr 1fr;
  }}
@media screen and (max-width: 600px){
    .orr-intro {
    padding: 0 2.5rem;
    padding-top: 2rem;
  }}


.orr-title {
  text-align: center;
  color: rgba(249, 249, 237, 1);
  font-family: "Playfair Display", serif;
  font-size: 38px;
  font-weight: 400;
  position: relative;
  line-height: 1.2;
}

.orr-subtitle {
  text-align: center;
  color: rgba(249, 249, 237, 1);
  font-family: 'Inter', sans-serif;
  font-size: 18px;
  font-weight: 300;
  position: relative;
  line-height: 1.6;
  max-width: 800px;
}

/* TARJETAS */

.orr-card {
  perspective: 1000px;
  max-width: 800px;
  display: flex;
  flex-direction: column;
  position: relative;
}

.orr-card-inner { /* su única función es como contenedor que se voltea */
  position: relative;
  transform-style: preserve-3d;
  transition: transform 0.6s;
  min-height: 220px;
  height: 100%;
}

.orr-card-front,
.orr-card-back {
  backface-visibility: hidden;
  position: absolute;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 2fr;
  padding: 1rem;
  gap: 1rem;
  align-items: center;
  background-color: rgba(249, 249, 237, 1);
  border-radius: 30px;
  box-sizing: border-box;
}

.orr-card-back {
  transform: rotateY(180deg); /* Ya está volteada desde el inicio */
}

.orr-card:hover .orr-card-inner {
  transform: rotateY(180deg);
}

.orr-card-image {
  margin:0;
  text-align: center;
}

.orr-card-image img {
  max-width: 162px;
  height: 150px;
  border-radius: 8px;
  object-fit: cover;
}

.orr-card-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.orr-card-title {
  font-family: "Playfair Display", serif;
  color: rgb(65, 84, 144);
  font-size: 14px;
  margin-bottom: 0.5rem;
}

.orr-card-description {
  font-family: "Inter", sans-serif;
  color: rgba(125, 132, 178, 1);
  font-size: 15px;
  margin: 0 0 1rem 0;
}

.orr-scientist-name {
    font-family: "Playfair Display", serif;
    color: rgb(65, 84, 144);
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.orr-scientist-profession {
    font-family: "Inter", sans-serif;
    color: rgba(125, 132, 178, 1);
    font-size: 18px;
    font-weight: 400;
    margin: 0 0 0.5rem 0;
}

.orr-scientist-dates {
    font-family: "Inter", sans-serif;
    color: rgba(125, 132, 178, 1);
    font-size: 16px;
    font-weight: 300;
    font-style: italic;
    margin: 0 0 1rem 0;
}

/* BOTONES */
button {
    background-color: rgba(191, 235, 95, 1);
    color: rgba(45, 49, 76, 1);
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 500;
    padding: 10px 20px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    align-self: flex-start;
    white-space: nowrap;
    margin: 0 auto;

}

/* - - - Camila - - - */


@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');

.mca-page{
  background-color: #f5f5f7;
}
.mca-science-section p{
  font-size: 18px;
  font-family: 'Quicksand', sans-serif; 
  padding: 2%;
  text-align: center;
  color: black;
}

.mca-science-section .mca-texto-frontal {
  font-size: 18px;
  font-family: "Quicksand", sans-serif; 
}

.mca-science-section h1 {
  font-family: "Quicksand", sans-serif; 
  font-weight: 700;
  font-weight: bolder;
  color: black;
}
.mca-science-section a{
  color:black
}

.mca-line{
  height: 2px;
  margin-bottom: 50px;
  background: linear-gradient(to right, rgb(121, 70, 121), #e8e8e9);
}

.mca-science-section h2 {
  font-family: "Quicksand", sans-serif; 
  text-align: center;
  font-weight: bold;
  padding-inline: 10px;
  color: black;
  
}
.mca-titulo h1{
  font-family: 'Playfair Display', serif;
  display: flex;
  justify-content: center;
  font-size: 60px;
  font-weight: bold;
}

.mca-science-section .mca-texto-titulo p{
  font-size: 35px;
  font-family: "Quicksand", sans-serif; 
  justify-content: center;
  line-height: 1.6;
  margin-top: 5rem;
}


.mca-science-section{
  background-color: #f5f5f7;
  height: auto;
  padding: 2rem;
}

.mca-card-container, 
.mca-science-section{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 1rem;
  height: auto;
  
}

.mca-card-container .mca-card-item {
  perspective: 500px;
  width: 265px;
  height: auto;
  border-radius: 10px;
  box-shadow: 10px 10px 9px rgba(0, 0, 0, 0.15);

}

.mca-card-inner{
  position: relative;
  width: 100%;
  transition: transform 1.8s;
  transform-style: preserve-3d;
  border-radius: 10%;

}

.mca-card-item:hover .mca-card-inner {
  transform: rotateY(180deg);
}

.mca-front-card, .mca-back-card {
  backface-visibility: hidden;
  box-sizing: border-box;
  width: 100%;
  height: 500px;
  border-radius: 10%;
}

.mca-front-card {
  background-color: #fff;
  overflow: hidden;
  border-radius:10px;
}

.mca-back-card {
  background-color: #fff;
  transform: rotateY(180deg);
  position: absolute;
  top: 0;
  overflow: hidden;
  border-radius:10px;
}

.mca-fotos-invento{
  width: 100%;
  height: 200px;
  object-fit:cover;
  margin: 0 auto;
  padding: 0%;
}

.mca-fotos-mujer{
  width: 100%;
  height: 200px;
  object-fit:cover;
  margin: 0 auto;
  padding: 0%;
  object-position: top;

}
.mca-introduction {
  text-align: center;
  max-width: 100%;
  margin: 0 auto;
}

@media (max-width:600px) {
  .mca-front-card, .mca-back-card {
    font-size: 50%;

  }
  p {
  font-size: 1rem;
  }
  .mca-fotos-mujer{
  height: 30%;
}
.mca-fotos-invento{
  width: 100%;
  height: 50%;
}
.mca-texto-frontal {
  font-size: 1rem;
}

.mca-science-section  h2{
  font-size: 1.2rem;
}

.mca-back-card h2{
  font-size: 2rem;
}

}


/* - - - Aday - - - */
.aasc-page {
  /* min-height: 100vh; Ocupa toda la ventana del navegador */
  background-image: url('files/background-body.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  display: flex;
  flex-direction: column;
  padding-top: 4rem; /* separación arriba */
  position: relative;
}

.aasc-page::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 60, 80, 0.32); /* azul oscuro translúcido */
  z-index: 0;
  pointer-events: none;
  border-radius: inherit;
}

.aasc-page > *:not(.aasc-leyenda) {
  position: relative;
  z-index: 1;
}


/* - - - Bloque cita y Subtitulo - - - */

.aasc-main-subtitle {
  /* margin-top: 4rem; */
  margin: 2rem auto;
  padding: 1.2rem 2vw;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  font-weight: bold;
  max-width: 700px;
  width: 100%;
  background: #aacad49c;
    font-family: Georgia, serif;
  border-radius: 8px;
  color: rgb(255, 255, 255);
}

.aasc-quote {  /*Cita destacada con fondo azul, línea vertical izquierda y estilo cursiva+negrita*/
  text-align: center;
  border-left: 4px solid #035f69; /*línea izquierda cita*/
  margin: 1.5em 10px;
  padding: 1em 20px;
  color: #035f69;
  font-family: Georgia, serif;
  text-shadow: none;
  font-style: italic;/* para enfatizar cursiva*/
  font-weight: bold;
}

/* - - -Tarjetas - - -  */

.aasc-cards-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 0.5rem;
  padding: 2rem;
  width: 100%;
  box-sizing: border-box;
}

.aasc-card {
  width: 100%;
  max-width: 300px;
  min-width: 0;
  height: 420px;
  margin: 0 auto;
  perspective: 1000px;
}

.aasc-card-content {
  width: 100%;
  height: 100%;
  position: relative;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.aasc-card:hover .aasc-card-content { /*efecto "volteo en 3D" al pasar el ratón*/
  transform: rotateY(180deg);
}

.aasc-card-front,
.aasc-card-extra {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.15);
}

.aasc-card-front {
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1rem;
}

.aasc-card-front img {
  max-width: 100%;
  height: auto;
  border-radius: 8px;
}

.aasc-card-front h3 {
  margin-top: 1rem;
  font-size: 1.2rem;
  text-align: center;
  color:#153437
}

.aasc-card-extra {
  background-color: #f2f6f7;
  transform: rotateY(180deg);
  padding: 1rem;
  overflow-y: auto; /*desplazamiento con scroll vertical*/
  scrollbar-color: #81bbcd #bcdfe8; /*color barra que se desliza y despues la de fondo del scroll*/
  scrollbar-width: thin;/*ancho*/
}


.aasc-card-extra img {
  width: 100%;
  height: auto;
  border-radius: 8px;
  margin-bottom: 1rem;
}

.aasc-card-text h4 {
  font-size: 1.1rem;
  margin-bottom: 0.5rem;
  color:#153437;
}

.aasc-card-text p {
  font-size: 0.95rem;
  margin-bottom: 0.8rem;
  text-align: justify;
  color:rgba(0, 0, 1, 0.5)
}



@media (max-width: 768px) {
  .aasc-cards-container {
    grid-template-columns: 1fr; /*cambia de 2 a una carta por fila*/
    width: 100vw;
    padding: 0 2vw;
    box-sizing: border-box;
    overflow-x: hidden;
  }

  .aasc-card {
    width: 90%;
    height: 450px;
  }

  .aasc-main-subtitle h2 {
    font-size: 1.2rem;
  }


}

